Bug 971679 - (6.4.0) Problem when undeploying application with already initialized interval EJB Timer
(6.4.0) Problem when undeploying application with already initialized interva...
Status: CLOSED CANTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld, EJB (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: baranowb
Matous Jobanek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 02:49 EDT by Tomas Remes
Modified: 2015-08-17 09:30 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When shutting down an EAP instance with a deployed application that uses an EJB interval timer, an `IllegalStateException` or an `EJBComponentUnavailableException` might occasionaly appear in the server log containing the text "Formatting error" or "Error invoking timeout for timer". This issue occurs because JBoss EAP 6 does not wait for all requests to be done when shutting down. There is no workaround to eliminate these errors, however they do not present any negative impact on the product.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 04:53:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bbaranow: needinfo-


Attachments (Terms of Use)
reproducer (14.16 KB, application/zip)
2013-06-07 02:49 EDT, Tomas Remes
no flags Details
log18 (15.54 KB, text/plain)
2014-07-17 09:43 EDT, Matous Jobanek
no flags Details
log86 (18.66 KB, text/plain)
2014-07-17 09:44 EDT, Matous Jobanek
no flags Details
Simple patch for logger exception (1.19 KB, patch)
2014-07-18 06:54 EDT, baranowb
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1247 Major Resolved graceful shutdown 2017-08-01 08:32 EDT

  None (edit)
Description Tomas Remes 2013-06-07 02:49:01 EDT
Created attachment 758002 [details]
reproducer

Steps to Reproduce:
1. Set JBOSS_HOME to EAP 6.1.0
2. Unzip attached zip reproducer
3. Run "mvn clean verify -Darquillian=jbossas-managed-7"

This test deploys application and starts interval EJB Timer. Then is application undeployed (so the timer is still running). Following exception is not always reproducible (little bit weird, but appears not be timer interval settings dependant), but occurs quite often.

08:29:32,727 ERROR [org.jboss.as.ejb3] (EJB default - 3) JBAS014120: Error invoking timeout for timer: [id=7c79cd4d-704f-4719-8d08-bb8b09d984eb timedObjectId=ejbtest.ejbtest.TestTimer auto-timer?:false persistent?:true timerService=org.jboss.as.ejb3.timerservice.TimerServiceImpl@14859e7e initialExpiration=Fri Jun 07 08:29:22 CEST 2013 intervalDuration(in milli sec)=5000 nextExpiration=Fri Jun 07 08:29:37 CEST 2013 timerState=IN_TIMEOUT: java.lang.RuntimeException: java.lang.IllegalStateException
	at org.jboss.as.ejb3.component.interceptors.AdditionalSetupInterceptor.processInvocation(AdditionalSetupInterceptor.java:68) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.1.Final-redhat-2.jar:1.1.1.Final-redhat-2]
	at org.jboss.as.ejb3.timerservice.TimedObjectInvokerImpl.callTimeout(TimedObjectInvokerImpl.java:101) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ejb3.timerservice.TimedObjectInvokerImpl.callTimeout(TimedObjectInvokerImpl.java:111) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ejb3.timerservice.task.TimerTask.callTimeout(TimerTask.java:157) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ejb3.timerservice.task.TimerTask.run(TimerTask.java:132) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_17]
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [rt.jar:1.7.0_17]
	at java.util.concurrent.FutureTask.run(FutureTask.java:166) [rt.jar:1.7.0_17]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_17]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_17]
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_17]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.0.Final-redhat-1.jar:2.1.0.Final-redhat-1]
Caused by: java.lang.IllegalStateException
	at org.jboss.msc.value.InjectedValue.getValue(InjectedValue.java:47) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	at org.jboss.as.connector.deployers.ra.processors.CachedConnectionManagerSetupProcessor$CachedConnectionManagerSetupAction.teardown(CachedConnectionManagerSetupProcessor.java:105) [jboss-as-connector-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ejb3.component.interceptors.AdditionalSetupInterceptor.processInvocation(AdditionalSetupInterceptor.java:62) [jboss-as-ejb3-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	... 15 more

08:29:32,748 ERROR [stderr] (EJB default - 3) java.util.logging.ErrorManager: 5: Formatting error
08:29:32,751 ERROR [stderr] (EJB default - 3) java.lang.IllegalStateException
08:29:32,752 ERROR [stderr] (EJB default - 3) 	at org.jboss.msc.value.InjectedValue.getValue(InjectedValue.java:47)
08:29:32,760 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.timerservice.TimedObjectInvokerImpl.getTimedObjectId(TimedObjectInvokerImpl.java:106)
08:29:32,758 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-6) JBAS015877: Stopped deployment ejbtest.war (runtime-name: ejbtest.war) in 119ms
08:29:32,760 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.timerservice.TimerImpl.toString(TimerImpl.java:615)
08:29:32,762 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter$FormatSpecifier.printString(Formatter.java:2838)
08:29:32,763 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter$FormatSpecifier.print(Formatter.java:2718)
08:29:32,764 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter.format(Formatter.java:2488)
08:29:32,765 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter.format(Formatter.java:2423)
08:29:32,766 ERROR [stderr] (EJB default - 3) 	at java.lang.String.format(String.java:2797)
08:29:32,767 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtLogRecord.formatRecord(ExtLogRecord.java:434)
08:29:32,767 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtLogRecord.getFormattedMessage(ExtLogRecord.java:397)
08:29:32,768 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.formatters.Formatters$10.renderRaw(Formatters.java:359)
08:29:32,769 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.formatters.Formatters$JustifyingFormatStep.render(Formatters.java:151)
08:29:32,770 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.formatters.MultistepFormatter.format(MultistepFormatter.java:86)
08:29:32,772 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtFormatter.format(ExtFormatter.java:35)
08:29:32,773 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.handlers.WriterHandler.doPublish(WriterHandler.java:49)
08:29:32,774 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtHandler.publish(ExtHandler.java:76)
08:29:32,775 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:292)
08:29:32,775 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,775 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,776 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,776 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,777 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.Logger.logRaw(Logger.java:721)
08:29:32,777 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.Logger.log(Logger.java:672)
08:29:32,778 ERROR [stderr] (EJB default - 3) 	at org.jboss.logging.JBossLogManagerLogger.doLogf(JBossLogManagerLogger.java:50)
08:29:32,778 ERROR [stderr] (EJB default - 3) 	at org.jboss.logging.Logger.logf(Logger.java:2093)
08:29:32,779 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.EjbLogger_$logger.timerRetried(EjbLogger_$logger.java:486)
08:29:32,779 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.timerservice.task.TimerTask.run(TimerTask.java:139)
08:29:32,780 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
08:29:32,780 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
08:29:32,781 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
08:29:32,783 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
08:29:32,820 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
08:29:32,821 ERROR [stderr] (EJB default - 3) 	at java.lang.Thread.run(Thread.java:722)
08:29:32,822 ERROR [stderr] (EJB default - 3) 	at org.jboss.threads.JBossThread.run(JBossThread.java:122)
08:29:32,823 ERROR [stderr] (EJB default - 3) java.util.logging.ErrorManager: 5: Formatting error
08:29:32,824 ERROR [stderr] (EJB default - 3) java.lang.IllegalStateException
08:29:32,825 ERROR [stderr] (EJB default - 3) 	at org.jboss.msc.value.InjectedValue.getValue(InjectedValue.java:47)
08:29:32,825 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.timerservice.TimedObjectInvokerImpl.getTimedObjectId(TimedObjectInvokerImpl.java:106)
08:29:32,827 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.timerservice.TimerImpl.toString(TimerImpl.java:615)
08:29:32,827 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter$FormatSpecifier.printString(Formatter.java:2838)
08:29:32,828 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter$FormatSpecifier.print(Formatter.java:2718)
08:29:32,829 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter.format(Formatter.java:2488)
08:29:32,829 ERROR [stderr] (EJB default - 3) 	at java.util.Formatter.format(Formatter.java:2423)
08:29:32,829 ERROR [stderr] (EJB default - 3) 	at java.lang.String.format(String.java:2797)
08:29:32,829 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtLogRecord.formatRecord(ExtLogRecord.java:434)
08:29:32,830 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtLogRecord.getFormattedMessage(ExtLogRecord.java:397)
08:29:32,830 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.formatters.Formatters$10.renderRaw(Formatters.java:359)
08:29:32,831 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.formatters.Formatters$JustifyingFormatStep.render(Formatters.java:151)
08:29:32,832 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.formatters.MultistepFormatter.format(MultistepFormatter.java:86)
08:29:32,834 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtFormatter.format(ExtFormatter.java:35)
08:29:32,835 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.handlers.WriterHandler.doPublish(WriterHandler.java:49)
08:29:32,835 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.ExtHandler.publish(ExtHandler.java:76)
08:29:32,835 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:292)
08:29:32,836 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,836 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,836 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,836 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:300)
08:29:32,836 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.Logger.logRaw(Logger.java:721)
08:29:32,837 ERROR [stderr] (EJB default - 3) 	at org.jboss.logmanager.Logger.log(Logger.java:672)
08:29:32,837 ERROR [stderr] (EJB default - 3) 	at org.jboss.logging.JBossLogManagerLogger.doLogf(JBossLogManagerLogger.java:50)
08:29:32,837 ERROR [stderr] (EJB default - 3) 	at org.jboss.logging.Logger.logf(Logger.java:2093)
08:29:32,837 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.EjbLogger_$logger.timerRetried(EjbLogger_$logger.java:486)
08:29:32,837 ERROR [stderr] (EJB default - 3) 	at org.jboss.as.ejb3.timerservice.task.TimerTask.run(TimerTask.java:139)
08:29:32,838 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
08:29:32,838 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
08:29:32,838 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
08:29:32,838 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
08:29:32,838 ERROR [stderr] (EJB default - 3) 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
08:29:32,838 ERROR [stderr] (EJB default - 3) 	at java.lang.Thread.run(Thread.java:722)
08:29:32,839 ERROR [stderr] (EJB default - 3) 	at org.jboss.threads.JBossThread.run(JBossThread.java:122)
Comment 1 Stuart Douglas 2013-10-01 06:07:57 EDT
As far as I can tell this should already be fixed in 6.2 as part of a fix for a different issue (980920), so this should just need QA to verify it.
Comment 2 Ivo Studensky 2013-10-04 05:12:44 EDT
As per comment #1 moving this to ON_QA.
Comment 3 Tomas Remes 2013-10-04 07:38:02 EDT
I am still facing following exception (on 6.2.0.ER4) quite frequently running the test from attached reproducer:

LogManager error of type FORMAT_FAILURE: Formatting error
java.lang.IllegalStateException
	at org.jboss.msc.value.InjectedValue.getValue(InjectedValue.java:47)
	at org.jboss.as.ejb3.timerservice.TimedObjectInvokerImpl.getTimedObjectId(TimedObjectInvokerImpl.java:106)
	at org.jboss.as.ejb3.timerservice.TimerImpl.toString(TimerImpl.java:615)
	at java.util.Formatter$FormatSpecifier.printString(Formatter.java:2838)
	at java.util.Formatter$FormatSpecifier.print(Formatter.java:2718)
	at java.util.Formatter.format(Formatter.java:2488)
	at java.util.Formatter.format(Formatter.java:2423)
	at java.lang.String.format(String.java:2797)
	at org.jboss.logmanager.ExtLogRecord.formatRecord(ExtLogRecord.java:434)
	at org.jboss.logmanager.ExtLogRecord.getFormattedMessage(ExtLogRecord.java:397)
	at org.jboss.logmanager.formatters.Formatters$10.renderRaw(Formatters.java:568)
	at org.jboss.logmanager.formatters.Formatters$JustifyingFormatStep.render(Formatters.java:225)
	at org.jboss.logmanager.formatters.MultistepFormatter.format(MultistepFormatter.java:86)
	at org.jboss.logmanager.ExtFormatter.format(ExtFormatter.java:35)
	at org.jboss.logmanager.handlers.WriterHandler.doPublish(WriterHandler.java:49)
	at org.jboss.logmanager.ExtHandler.publish(ExtHandler.java:79)
	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:296)
	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:304)
	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:304)
	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:304)
	at org.jboss.logmanager.LoggerNode.publish(LoggerNode.java:304)
	at org.jboss.logmanager.Logger.logRaw(Logger.java:721)
	at org.jboss.logmanager.Logger.log(Logger.java:672)
	at org.jboss.logging.JBossLogManagerLogger.doLogf(JBossLogManagerLogger.java:50)
	at org.jboss.logging.Logger.logf(Logger.java:2093)
	at org.jboss.as.ejb3.EjbLogger_$logger.errorInvokeTimeout(EjbLogger_$logger.java:734)
	at org.jboss.as.ejb3.timerservice.task.TimerTask.run(TimerTask.java:137)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:724)
	at org.jboss.threads.JBossThread.run(JBossThread.java:122)
Comment 9 Matous Jobanek 2014-07-17 09:42:02 EDT
I've ran 100 times the test on EAP 6.3.0.ER10 with this command:

for i in {1..100}; do mvn clean verify -Darquillian=jbossas-managed-7 > report/log$i; wait $!; done

and there occurred:

in four cases only the FORMAT_FAILURE
in one case both the FORMAT_FAILURE and an ERROR similar to the one with the EJB timer problem:

ERROR [org.jboss.as.ejb3] (EJB default - 3) JBAS014120: Error invoking timeout for timer: [id=5f0af9d8-3f16-4b29-8a27-1883ec611b7d timedObjectId=ejbtest.ejbtest.TestTimer auto-timer?:false persistent?:true timerService=org.jboss.as.ejb3.timerservice.TimerServiceImpl@533f6512 initialExpiration=Thu Jul 17 14:44:50 CEST 2014 intervalDuration(in milli sec)=5000 nextExpiration=Thu Jul 17 14:45:05 CEST 2014 timerState=IN_TIMEOUT: org.jboss.as.ejb3.component.EJBComponentUnavailableException: JBAS014559: Invocation cannot proceed as component is shutting down

I've attached two files:
log18 - log where is only the FORMAT_FAILURE
log86 - log where are both both the FORMAT_FAILURE and EJB ERROR
Comment 10 Matous Jobanek 2014-07-17 09:43:23 EDT
Created attachment 918705 [details]
log18
Comment 11 Matous Jobanek 2014-07-17 09:44:15 EDT
Created attachment 918706 [details]
log86
Comment 12 Stuart Douglas 2014-07-17 19:05:44 EDT
After looking at the new error I don't think it is possible to fix this without graceful shutdown. This issue does not just affect timers, it can affect any entry point where a request is active while the server is shutting down. 

The only way to fix this is with graceful shutdown, so the server does not start shutting down till all active requests are done.
Comment 13 baranowb 2014-07-18 06:54:32 EDT
Created attachment 919049 [details]
Simple patch for logger exception
Comment 15 Ron Šmeral 2014-07-25 14:35:56 EDT
Based on comment 9, this apparently still happens in 6.3 and thus should be release noted as a known issue.

@Stuart/@baranowb: would you mind describing the CCWR for the RN? Thanks.
Comment 16 Ron Šmeral 2014-07-25 14:44:53 EDT
baranowb, does the patch in comment 14 address both the errors?
If there is a way to fix this in EAP 6.4, please clone this issue for 6.4.
Comment 17 baranowb 2014-07-28 03:12:03 EDT
@Ron If Im not wrong, this issue will either be closed or face a shift to 6.4(rejection is more probable).

Patch just is a simple hack to avoid exception from logger. The actual reason of those two require a graceful shutdown which is considered as a feature for EAP7(if Im not wrong) and I doubt it will be backported to 6, since it's not even ready for EAP7.

Patch is just a simple hack to avoid exception being thrown from logger, it does not fix cause, just hides logger exception, which just looks nasty. I'm going to schedule a CI run against this branch to check if it does not break anything, since stuart seems to be occupied by other tasks.
Comment 18 Ron Šmeral 2014-07-30 13:58:33 EDT
OK, I'll mark this as Target 6.4.0 (based on comment 8) until the decision is made that this is in fact TBD EAP 7.

Also, why is this marked [GSS] ?
Comment 19 baranowb 2014-07-31 05:39:59 EDT
Ron [GSS] is my bad, I think Ive abused this prefix.
Comment 20 baranowb 2014-07-31 05:42:11 EDT
Link relevant JIRA.
Comment 21 Dimitris Andreadis 2014-09-04 10:14:17 EDT
BTW, why the needinfo? flag? Isn't the Doctext sufficient enough?
Comment 22 baranowb 2014-09-04 12:13:10 EDT
Hacky patch. Im not sure if its even valid.
Comment 26 JBoss JIRA Server 2015-08-10 21:37:58 EDT
Jason Greene <jason.greene@jboss.com> updated the status of jira WFLY-1247 to Resolved

Note You need to log in before you can comment on or make changes to this bug.